Name:		gcal
Version:	3.6
Release:	4%{?dist}
Summary:	GNU Gregorian calendar program

Group:		Applications/System
License:	GPLv3+
URL:		http://www.gnu.org/software/gcal/
Source0:	ftp://ftp.gnu.org/gnu/gcal/%{name}-%{version}.tar.xz
# The man pages are not shipped in tarball but reside in the git repository.
# To fetch the man pages, do:
# $ gcalver=3.6
# $ git archive --format=tar v${gcalver} -- doc/en/man | \
#     gzip -c > gcal-man-v${gcalver}.tar.gz
Source1:	gcal-man-v%{version}.tar.gz
BuildRequires:	gettext
Requires(post): info
Requires(preun): info

%description
Gcal is a program for calculating and printing calendars.  Gcal
displays hybrid and proleptic Julian and Gregorian calendar sheets.
It also displays holiday lists for many countries around the globe.

%prep
%setup -q
tar xf %{SOURCE1}


%build
CFLAGS="%{optflags}"
export CFLAGS
%configure
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
install -dm 755 %{buildroot}%{_mandir}/man1
install -pm 644 doc/en/man/*.1 %{buildroot}%{_mandir}/man1
rm -f %{buildroot}%{_datadir}/%{name}/Makefile.in
rm -f %{buildroot}%{_infodir}/dir
%find_lang %{name}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING LIMITATIONS NEWS README THANKS TODO
%{_bindir}/gcal
%{_bindir}/gcal2txt
%{_bindir}/tcal
%{_bindir}/txt2gcal
%{_datadir}/gcal/
%{_infodir}/*.info*
%{_mandir}/man1/*.1*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue May 17 2011 Daiki Ueno <dueno@redhat.com> - 3.6-3
- add Group: tag
- use %%optflags when building

* Tue May 17 2011 Daiki Ueno <dueno@redhat.com> - 3.6-2
- fetch man pages from the git repo

* Thu May 12 2011 Daiki Ueno <dueno@redhat.com> - 3.6-1
- initial packaging for Fedora

